package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.CompanySale;

/**
 * 广告主销售Mapper接口
 *
 * @author ruoyi
 * @date 2023-05-15
 */
public interface CompanySaleMapper
{
    /**
     * 查询广告主销售
     *
     * @param id 广告主销售主键
     * @return 广告主销售
     */
    public CompanySale selectCompanySaleById(Long id);

    /**
     * 查询广告主销售列表
     *
     * @param companySale 广告主销售
     * @return 广告主销售集合
     */
    public List<CompanySale> selectCompanySaleList(CompanySale companySale);

    /**
     * 新增广告主销售
     *
     * @param companySale 广告主销售
     * @return 结果
     */
    public int insertCompanySale(CompanySale companySale);

    /**
     * 修改广告主销售
     *
     * @param companySale 广告主销售
     * @return 结果
     */
    public int updateCompanySale(CompanySale companySale);

    /**
     * 删除广告主销售
     *
     * @param id 广告主销售主键
     * @return 结果
     */
    public int deleteCompanySaleById(Long id);

    /**
     * 批量删除广告主销售
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCompanySaleByIds(String[] ids);
}
